tigase.jaxmpp.core.client.xmpp.modules.auth.scram

## Class ScramSHA512Mechanism

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.auth.saslmechanisms.AbstractSaslMechanism
  - - tigase.jaxmpp.core.client.xmpp.modules.auth.scram.AbstractScram
    - - tigase.jaxmpp.core.client.xmpp.modules.auth.scram.ScramSHA512Mechanism

- All Implemented Interfaces:
    SaslMechanism

      public class ScramSHA512Mechanism
      extends AbstractScram

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class tigase.jaxmpp.core.client.xmpp.modules.auth.scram.AbstractScram

      `AbstractScram.BindType`

  - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.xmpp.modules.auth.scram.AbstractScram

      `UTF_CHARSET`

    - ### Fields inherited from class tigase.jaxmpp.core.client.xmpp.modules.auth.saslmechanisms.AbstractSaslMechanism

      `SASL_COMPLETE_KEY`

    - ### Fields inherited from interface tigase.jaxmpp.core.client.xmpp.modules.auth.SaslMechanism

      `FORCE_AUTHZID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScramSHA512Mechanism()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected byte[]` | `getBindData(AbstractScram.BindType bindType, SessionObject sessionObject)`
    `protected AbstractScram.BindType` | `getBindType(SessionObject sessionObject)`

    - ### Methods inherited from class tigase.jaxmpp.core.client.xmpp.modules.auth.scram.AbstractScram

      `evaluateChallenge, getData, h, hi, hmac, isAllowedToUse, key, name, normalize, randomString, xor`

    - ### Methods inherited from class tigase.jaxmpp.core.client.xmpp.modules.auth.saslmechanisms.AbstractSaslMechanism

      `isComplete, setComplete`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ScramSHA512Mechanism

          public ScramSHA512Mechanism()

  - ### Method Detail

    - #### getBindData

          protected byte[] getBindData(AbstractScram.BindType bindType,
                                       SessionObject sessionObject)

      Specified by:
        `getBindData` in class `AbstractScram`

    - #### getBindType

          protected AbstractScram.BindType getBindType(SessionObject sessionObject)

      Specified by:
        `getBindType` in class `AbstractScram`

Copyright © 2006–2023 Tigase. All rights reserved.